#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x89b301d4, "param_get_int" },
	{ 0x98bd6f46, "param_set_int" },
	{ 0x5611e4ec, "param_get_bool" },
	{ 0xdc76cbcb, "param_set_bool" },
	{ 0xa4bcddd6, "usb_deregister" },
	{ 0xe639d21b, "usb_serial_deregister" },
	{ 0xd7b05f, "usb_register_driver" },
	{ 0x92b337cc, "usb_serial_register" },
	{ 0x785c34d9, "tty_get_baud_rate" },
	{ 0xa3fa85c, "schedule_work" },
	{ 0x707f93dd, "preempt_schedule" },
	{ 0x8b9d6879, "usb_kill_urb" },
	{ 0x5b41640c, "usb_submit_urb" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b7d4074, "printk" },
	{ 0xa544e32c, "usb_control_msg" },
	{ 0xf63c965a, "kmem_cache_alloc" },
	{ 0xe2c930e1, "malloc_sizes" },
	{ 0x5d458b57, "usb_serial_disconnect" },
	{ 0x752106f, "usb_serial_probe" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=usbserial";

MODULE_ALIAS("usb:v050Fp0180d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08E9p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09C4p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icFEisc02ip00*");
